Class OrgItemRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Organizations.Item
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\organizations{org-id}
public class OrgItemRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderOrgItemRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
OrgItemRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new OrgItemRequestBuilder and sets the default values.
public OrgItemRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
OrgItemRequestBuilder(string, IRequestAdapter)
Instantiates a new OrgItemRequestBuilder and sets the default values.
public OrgItemRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
IdentityProviders
The identityProviders property
public IdentityProvidersRequestBuilder IdentityProviders { get; }
Property Value
Invitations
The invitations property
public InvitationsRequestBuilder Invitations { get; }
Property Value
Members
The members property
public MembersRequestBuilder Members { get; }
Property Value
Methods
DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Deletes the organization
public Task DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Returns the organization representation
public Task<OrganizationRepresentation?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
PutAsync(OrganizationRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Updates the organization
public Task PutAsync(OrganizationRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyOrganizationRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Deletes the organization
public RequestInformation ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Returns the organization representation
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPutRequestInformation(OrganizationRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
Updates the organization
public RequestInformation ToPutRequestInformation(OrganizationRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyOrganizationRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public OrgItemRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.